%define languageenglazy Scots Gaelic
%define languagecode    gd
%define lc_ctype        gd_GB

Name:           hunspell-%{languagecode}
Version:        2.7
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/en/project/faclair-afb
Source0:        http://downloads.sourceforge.net/project/aoo-extensions/4587/9/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-gd
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/%{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/%{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README_gd_GB.txt LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.7-5.mga6
+ Revision: 942929
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-4.mga5
+ Revision: 743977
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-3.mga5
+ Revision: 680241
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 2.7-2.mga4
+ Revision: 536936
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.7-1.mga4
+ Revision: 485968
- New version: 2.7

* Sat Jan 12 2013 umeabot <umeabot> 2.1-5.mga3
+ Revision: 353482
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.1-4.mga3
+ Revision: 325301
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 2.1-3.mga2
+ Revision: 224655
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 2.1-2.mga2
+ Revision: 207762
- use better obsoleting of myspell

* Fri Jan 20 2012 kamil <kamil> 2.1-1.mga2
+ Revision: 198617
- new version 2.1

* Fri Jan 20 2012 kamil <kamil> 1.3-2.mga2
+ Revision: 198518
- adapt .spec to the current policies

* Fri Jul 08 2011 ahmad <ahmad> 1.3-1.mga2
+ Revision: 120139
- Update to 1.3 (Sync with Fedora)

* Sat Mar 12 2011 dmorgan <dmorgan> 1.0.0-0.4.rc.1.mga1
+ Revision: 68794
- imported package hunspell-gd


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.rc.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.rc.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 1.0.0-0.2.rc.1
- tidy spec

* Mon Jun 15 2009 Caolan McNamara <caolanm@redhat.com> - 1.0.0-0.1.rc.1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 27 2008 Caolan McNamara <caolanm@redhat.com> - 0.1.1-1
- initial version
